MappingBeanDefinitionParser (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.configuration.spring, class: MappingBeanDefinitionParser

Package org.apache.cxf.configuration.spring

# Class MappingBeanDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.apache.cxf.configuration.spring.MappingBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class MappingBeanDefinitionParser extends org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

- ## Field Summary

  ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `ID_ATTRIBUTE, NAME_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MappingBeanDefinitionParser(String oldns, String newns)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.springframework.beans.factory.support.AbstractBeanDefinition`
  `parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MappingBeanDefinitionParser

    public MappingBeanDefinitionParser(String oldns, String newns)

- ## Method Details

  - ### parseInternal

    protected org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)
    Specified by:
      `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`